Subject: Re: [PATCH net-next v3 0/9] MT7530 DSA Subdriver Improvements Act III

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 5 Mar 2024 11:36:45 +0000

On Tue, Mar 05, 2024 at 12:30:20PM +0100, Paolo Abeni wrote:
> On Fri, 2024-03-01 at 12:42 +0200, Arınç ÜNAL wrote:
> > This is the third patch series with the goal of simplifying the MT7530 DSA
> > subdriver and improving support for MT7530, MT7531, and the switch on the
> > MT7988 SoC.
> > 
> > I have done a simple ping test to confirm basic communication on all switch
> > ports on MCM and standalone MT7530, and MT7531 switch with this patch
> > series applied.
> > 
> > MT7621 Unielec, MCM MT7530:
> > 
> > rgmii-only-gmac0-mt7621-unielec-u7621-06-16m.dtb
> > gmac0-and-gmac1-mt7621-unielec-u7621-06-16m.dtb
> > 
> > tftpboot 0x80008000 mips-uzImage.bin; tftpboot 0x83000000 mips-rootfs.cpio.uboot; tftpboot 0x83f00000 $dtb; bootm 0x80008000 0x83000000 0x83f00000
> > 
> > MT7622 Bananapi, MT7531:
> > 
> > gmac0-and-gmac1-mt7622-bananapi-bpi-r64.dtb
> > 
> > tftpboot 0x40000000 arm64-Image; tftpboot 0x45000000 arm64-rootfs.cpio.uboot; tftpboot 0x4a000000 $dtb; booti 0x40000000 0x45000000 0x4a000000
> > 
> > MT7623 Bananapi, standalone MT7530:
> > 
> > rgmii-only-gmac0-mt7623n-bananapi-bpi-r2.dtb
> > gmac0-and-gmac1-mt7623n-bananapi-bpi-r2.dtb
> > 
> > tftpboot 0x80008000 arm-zImage; tftpboot 0x83000000 arm-rootfs.cpio.uboot; tftpboot 0x83f00000 $dtb; bootz 0x80008000 0x83000000 0x83f00000
> > 
> > This patch series is the continuation of the patch series linked below.
> > 
> > https://lore.kernel.org/r/[email-masked]
> > 
> > Signed-off-by: Arınç ÜNAL <[email-masked]>
> 
> @Russell, I see you went through some patches; my understanding is that
> there are no objection to this series in the current form. The series
> LGTM, so I'm going to apply it: I think it would a pity if it should
> miss this cycle.

That's fine - I did read through the entire series, but only gave my
r-b on the ones I felt I'd done a good enough job on. You may have
noticed I haven't submitted much network stuff this cycle... I have
limited bandwidth at the moment.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!